nogui.h File Reference
`#include <gwenhywfar/gui.h>`

Go to the source code of this file.

## Functions

GWENHYWFAR_API GWEN_GUI * | GWEN_NoGui_new (void)

## Function Documentation

## GWEN_NoGui_new()

GWENHYWFAR_API GWEN_GUI * GWEN_NoGui_new | ( | void |  | ) |

Create a GUI which does nothing at all, no interaction whatsoever. Every functions just returns "0" (meaning all fine) without doing anything.

You can use this GUI in side-threads which are not allowed to call real GUI functions but want to use functions which might call GWEN_GUI functions.

Due to its simplicity it can also serve as a template for your own GUI implementation.

References GWENHYWFAR_API.